Name:           libid3tag
BuildRequires:  gperf zlib-devel
Summary:        ID3 Tag Manipulation Library
Version:        0.15.1b
Release:        96
Group:          System/Libraries
License:        GPL v2 or later
Url:            http://www.underbit.com/products/mad/
Source:         %{name}-%{version}.tar.bz2
Patch:          libid3tag-noweak.dif
Patch1:         libid3tag-gperf.dif
Patch2:         libid3tag-0.15.1b-mb.diff
Patch3:         libid3tag-automake-fix.dif
Patch4:         libid3tag-optflags.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libid3tag is a library for reading and writing ID3 tags, both ID3v1 and
the various versions of ID3v2.



Authors:
--------
    Underbit Technologies, Inc. <support@underbit.com>

%package devel
Summary:        Development package for libid3tag library
Group:          Development/Libraries/C and C++
Requires:       libid3tag = %version zlib-devel

%description devel
This package contains the header files and static libraries needed to
develop applications with libid3tag.



Authors:
--------
    Underbit Technologies, Inc. <support@underbit.com>

%prep
%setup -q
%patch
%patch1
%patch2
%patch3
%patch4

%build
%{?suse_update_config:%{suse_update_config -f}}
autoreconf -fi
CFLAGS="$RPM_OPT_FLAGS -fstack-protector" \
./configure --prefix=%{_prefix} --mandir=%{_mandir} \
  --libdir=%{_libdir}
make
echo -e "prefix=%_prefix\nexec_prefix=%_prefix\nlibdir=%_libdir\nincludedir=%_includedir\nName: id3tag\nDescription: ID3 tag library\nRequires:\nVersion: %version\nLibs: -L%_libdir -lid3tag -lz\nCflags: -I%_includedir\n" > id3tag.pc

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -m 644 -D id3tag.pc %{buildroot}%{_libdir}/pkgconfig/id3tag.pc

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING COPYRIGHT CREDITS README TODO VERSION
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.*a
%{_libdir}/*.so
%{_libdir}/pkgconfig/id3tag.pc
%changelog
* Wed Jul 10 2014 Fred Gleason <fredg@paravelsystems.com> 0.15.1b-96
-- Modified for EL7.
* Thu Mar 29 2007 - meissner@suse.de
- zlib-devel to buildrequires
* Tue Oct 31 2006 - meissner@suse.de
- fixed configure.ac to accept more than 1 -O/-f option, added
  requires
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 11 2006 - tiwai@suse.de
- compile with -fstack-protector.
* Mon Jul 05 2004 - hvogel@suse.de
- add pgkconfig file
* Thu Feb 26 2004 - tiwai@suse.de
- updated to version 0.15.1b.
- fixed memory allocation check.
- fixed for autoreconf.
* Tue Jan 13 2004 - tiwai@suse.de
- build as non-root.
* Mon Aug 11 2003 - tiwai@suse.de
- fixed the handling of v2 tag.
* Thu Jul 03 2003 - tiwai@suse.de
- split from mad: version 0.15.0b.
